;Wrappers functions provided for come file/directory/volume operations
;Author: Shantanu Gadgil
; check out the FS_CreateDirectoryEx function in particular!!!
; -Enjoy!

ifndef	__FILESYSTEM_INC
__FILESYSTEM_INC	equ	<1>

FS_MAX_VOLUME_NAME		equ 64
FS_MAX_FS_NAME			equ 16

FS_CDEX_FAILED			equ 0
FS_CDEX_CREATED			equ 1
FS_CDEX_EXISTS			equ 2

FSVOLUMEINFOSTRUCT	struct
	szRootPath			BYTE	8	dup(?)
	
	szVolumeName			BYTE	FS_MAX_VOLUME_NAME dup(?)
	dwVolumeSerialNumber		DWORD	?
	dwMaximumComponentLength	DWORD	?
	dwFileSystemFlags		DWORD	?
	szFileSystemNameBuffer		BYTE	FS_MAX_FS_NAME dup(?)
	dwFileSystemNameSize		DWORD	?
FSVOLUMEINFOSTRUCT	ends

LPFSVOLUMEINFOSTRUCT		typedef	PTR FSVOLUMEINFOSTRUCT

FS_AddTrailingBackSlash         	PROTO	:LPTSTR,:BOOL
FS_CreateDirectoryEx            	PROTO	:LPCTSTR
FS_GetVolumeInfo                	PROTO	:LPFSVOLUMEINFOSTRUCT
FS_GetVolumeName                	PROTO	:LPCTSTR,:LPTSTR
FS_IsDirectory                  	PROTO	:LPCTSTR
FS_IsPathRoot                   	PROTO	:LPTSTR
FS_MakeFullFilePath             	PROTO	:LPCTSTR,:LPCTSTR,:LPTSTR
FS_MakeParent                   	PROTO	:LPTSTR
FS_RemoveTrailingBackSlash      	PROTO	:LPTSTR

endif	;__FILESYSTEM_INC
